import request from '@/api/request'

const state = {
  userinfo: {
    user_head_img_url: '', // 用户头像
    user_nickname: '', // 用户昵称
    user_sex: '', // 用户性别
    user_balance: '', // 用户可提现余额(单位为分)
    user_unreceive_balance: '', // 用户未结算金额(单位为分
    created_at: '' // 注册时间
  }
}

const getters = {
  userinfo (state) {
    return state.userinfo
  }
}

const actions = {
  async getUserInfo ({ commit }) {
    try {
      const { status, data } = await request({
        method: 'GET',
        url: '/api/user/info'
      })
      if (status) {
        commit('UPDATE_USERINFO', data)
      }
    } catch (err) {
      console.log(err)
    }
  }
}

const mutations = {
  UPDATE_USERINFO (state, value) {
    state.userinfo = {
      ...value
    }
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
